<html>
<head>
<title>OgreTerrain.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_6cd0971983c3e0e5b0cb362e5db7fc9d.html">Terrain</a>      </li>
      <li class="navelem"><a class="el" href="dir_9b506231b651991d884bb23d993d7984.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">OgreTerrain.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgreTerrainPrerequisites_8h_source.html">OgreTerrainPrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreVector3_8h_source.html">OgreVector3.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreAxisAlignedBox_8h_source.html">OgreAxisAlignedBox.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreWorkQueue_8h_source.html">OgreWorkQueue.h</a>&quot;</code><br/>
</div>
<p><a href="OgreTerrain_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Terrain.html">Ogre::Terrain</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The main containing class for a chunk of terrain.  <a href="classOgre_1_1Terrain.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1LayerInstance.html">Ogre::Terrain::LayerInstance</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">An instance of a layer, with specific texture names.  <a href="structOgre_1_1Terrain_1_1LayerInstance.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html">Ogre::Terrain::ImportData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Structure encapsulating import data that you may use to bootstrap the terrain without loading from a native data stream.  <a href="structOgre_1_1Terrain_1_1ImportData.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Terrain_1_1GpuBufferAllocator.html">Ogre::Terrain::GpuBufferAllocator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Interface used to by the <a class="el" href="classOgre_1_1Terrain.html" title="The main containing class for a chunk of terrain.">Terrain</a> instance to allocate GPU buffers.  <a href="classOgre_1_1Terrain_1_1GpuBufferAllocator.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html">Ogre::Terrain::DefaultGpuBufferAllocator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Standard implementation of a buffer allocator which re-uses buffers.  <a href="classOgre_1_1Terrain_1_1DefaultGpuBufferAllocator.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataRequest.html">Ogre::Terrain::DerivedDataRequest</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A data holder for communicating with the background derived data update.  <a href="structOgre_1_1Terrain_1_1DerivedDataRequest.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Terrain_1_1DerivedDataResponse.html">Ogre::Terrain::DerivedDataResponse</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A data holder for communicating with the background derived data update.  <a href="structOgre_1_1Terrain_1_1DerivedDataResponse.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainGlobalOptions.html">Ogre::TerrainGlobalOptions</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Options class which just stores default options for the terrain.  <a href="classOgre_1_1TerrainGlobalOptions.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
